| # Attributes (tdsmi0150s000) Use this session to enter and maintain attributes. Attributes serve as the basis for the selections that can be made to direct the marketing efforts. They can be connected to: Business partners Contacts Opportunities Activities Note In the Letters (tdsmi1150m000) session and the Flexible Printing (tdsmi2410m100) session, you can make a layout for a standard letter. For example, you can use the attributes and the tables to enter a standard salutation. Use the Zoom Code field and the Session/Menu field to determine the session or menu you want to use. Related topics CRM – master data CRM – Text Editor Attribute Used to record distinctive information on (potential) business partners, contacts, opportunities, or activities and to segment data when specifying a batch selection for generating activities, mail merge (letters), or flexible reports. Example
Attribute | Description | Type | Details
--- | --- | --- | ---
sf | Is the person a soccer fan? | Option | Options are Yes and No; default is No
fc | Favorite soccer club | Alphanumeric | Default is <blank>
conv | How did you value this conversation? | Alphanumeric | No defaults
ccb | Can I call you back next week? | Option | Options are Yes and No; default is No
lunch | Should bring own lunch | Option | Options are Yes and No; default is No
dressc | What is the dress code? | Option | Options are formal and casual (default)
comp | Main competitor | Alphanumeric | No defaults
terr | Territory | Option | Options are East and West
Attribute set | Description | Attributes
--- | --- | ---
CON | Default attribute set for contacts | sf, fc
BP | Default attribute set for business partners | sf, fc
CALL | Default attribute set for calls | conv, ccb
APP | Default attribute set for appointments | lunch, dressc
OPP | Default attribute set for opportunities | comp, terr
Label The description of the attribute. Search Key An alternative form of a description used for convenience during searching. Typically, it is an abbreviation, an acronym, or a mnemonic alternative to a full description. Default value ERP Enterprise takes the first 16 positions of the label description. Type Select the field type for the attribute. The field type determines the length and kind (for example numeric or alphanumeric) of the field entry. Note If an attribute is of the Option type, fill the options in the Options by Attribute (tdsmi0151m000) session. Allowed values Field Type Length You can determine how many positions can be used when you enter the attribute. Note The limit depends on the attribute type: Alphanumerical (1 - 40 positions). Double (1 - 14 positions). Integer (1 - 10 positions). ERP Enterprise determines the length of the other attribute types. Case Conversion This field indicates if the entered attribute of the Alphanumeric type must be converted to capitals or small letters. Alignment The attribute of the Alphanumeric type can be left aligned, right aligned, or centered. You can only access this field if the attribute is of the Alphanumeric type. Note ERP Enterprise sets this field to Right if the attribute type is Double or Integer. For all other types, this field is set to No. Mandatory Input If this check box is selected, you must enter a value for the attribute. Default Expression If you fill this field, ERP Enterprise offers a default value when an attribute is generated. This increases the speed and the reliability of data entry. Text If this check box is selected, a text is added to the attribute. Field Select the table fields in the ERP Enterprise database to which the attribute must refer. Example If you want to use an item code as attribute, refer to the table field tcibd001.item. Note A reference field cannot be filled if the attribute is of the Option or Text type. Mode Specify whether the defined attribute must occur in the standard ERP Enterprise table as entered in the Field. Message The message ERP Enterprise displays when the attribute referred to is not found in an ERP Enterprise table. Example If you use an item code as attribute, you can refer to the table field tiitm001.item. But if the item code is removed from this table field, ERP Enterprise displays a reference message. Zoom Code You can link a zoom session, or a menu to all attributes. This enables a user to consult data that can be useful when maintaining attributes. Session/Menu Select the session or menu to which you want to link the attribute. Return Field The table field that is transferred to the current session after zooming. Attention Select the attention code assigned to the attribute. Display Text on Input If this check box is selected, text is displayed when the attribute is maintained. |